org.apache.hadoop.ipc.proto

## Interface GenericRefreshProtocolProtos.GenericRefreshRequestProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    GenericRefreshProtocolProtos.GenericRefreshRequestProto, GenericRefreshProtocolProtos.GenericRefreshRequestProto.Builder
  Enclosing class:
    GenericRefreshProtocolProtos

      public static interface GenericRefreshProtocolProtos.GenericRefreshRequestProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArgs(int index)` `repeated string args = 2;`
    `com.google.protobuf.ByteString` | `getArgsBytes(int index)` `repeated string args = 2;`
    `int` | `getArgsCount()` `repeated string args = 2;`
    `List<String>` | `getArgsList()` `repeated string args = 2;`
    `String` | `getIdentifier()` `optional string identifier = 1;`
    `com.google.protobuf.ByteString` | `getIdentifierBytes()` `optional string identifier = 1;`
    `boolean` | `hasIdentifier()` `optional string identifier = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasIdentifier

          boolean hasIdentifier()

      `optional string identifier = 1;`

    - #### getIdentifier

          String getIdentifier()

      `optional string identifier = 1;`

    - #### getIdentifierBytes

          com.google.protobuf.ByteString getIdentifierBytes()

      `optional string identifier = 1;`

    - #### getArgsList

          List<String> getArgsList()

      `repeated string args = 2;`

    - #### getArgsCount

          int getArgsCount()

      `repeated string args = 2;`

    - #### getArgs

          String getArgs(int index)

      `repeated string args = 2;`

    - #### getArgsBytes

          com.google.protobuf.ByteString getArgsBytes(int index)

      `repeated string args = 2;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.